Bug 1031432 - Consider lazy loading of ResourceContext.dataDirectory and .temporaryDirectory
Consider lazy loading of ResourceContext.dataDirectory and .temporaryDirectory
Status: CLOSED CURRENTRELEASE
Product: RHQ Project
Classification: Other
Component: Plugin Container, Performance (Show other bugs)
4.9
Unspecified Unspecified
unspecified Severity unspecified (vote)
: ---
: RHQ 4.10
Assigned To: Heiko W. Rupp
Mike Foley
:
Depends On:
Blocks: JON3-2
  Show dependency treegraph
 
Reported: 2013-11-17 16:11 EST by Heiko W. Rupp
Modified: 2014-04-23 08:29 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-04-23 08:29:26 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Screenshot (35.29 KB, image/png)
2013-12-02 15:53 EST, Heiko W. Rupp
no flags Details

  None (edit)
Description Heiko W. Rupp 2013-11-17 16:11:03 EST
The ResourceContext allocates two file objects backed by a String for the path for each Resource no matter if that resource actually uses them or not.

We should either lazily provide those entries (i.e. initialize on first read access) or get them from a common place like the ResourceContainer of the root server type.
Comment 1 Heiko W. Rupp 2013-12-02 15:53:47 EST
Created attachment 831774 [details]
Screenshot
Comment 2 Heiko W. Rupp 2014-02-05 04:57:23 EST
master 2e8dcfc
Comment 3 Heiko W. Rupp 2014-04-23 08:29:26 EDT
Bulk closing of 4.10 issues.

If an issue is not solved for you, please open a new BZ (or clone the existing one) with a version designator of 4.10.

Note You need to log in before you can comment on or make changes to this bug.